// TestTreeCtrlDlg.h : header file
//

#if !defined(AFX_TESTTREECTRLDLG_H__E3EB869B_81AE_4395_B101_3EB1F13F0CCB__INCLUDED_)
#define AFX_TESTTREECTRLDLG_H__E3EB869B_81AE_4395_B101_3EB1F13F0CCB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TreeEventHandler.h"

/////////////////////////////////////////////////////////////////////////////
// CTestTreeCtrlDlg dialog

class CTestTreeCtrlDlg : public CDialog
{
// Construction
public:
	CTestTreeCtrlDlg(CWnd* pParent = NULL);	// standard constructor

	// control's interface
	IShellTreeCtrl *pctrl;

	// events
	CTreeEventHandler *m_pTreeEvents;

// Dialog Data
	//{{AFX_DATA(CTestTreeCtrlDlg)
	enum { IDD = IDD_TESTTREECTRL_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestTreeCtrlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestTreeCtrlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInitializeTree();
	afx_msg void OnTvsHaslines();
	afx_msg void OnTvsHasbuttons();
	afx_msg void OnTvsTrackselect();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTTREECTRLDLG_H__E3EB869B_81AE_4395_B101_3EB1F13F0CCB__INCLUDED_)
